## public Tools\Converters\DavidHillFormat::setDataToAnElection

### Description    

```php
public Tools\Converters\DavidHillFormat->setDataToAnElection ( [?CondorcetPHP\Condorcet\Election $election = null] ): CondorcetPHP\Condorcet\Election
```

Add the data to an election object
    

##### **election:** *```?CondorcetPHP\Condorcet\Election```*   
Add an existing election, useful if you want to set up some parameters or add extra candidates. If null an election object will be created for you.    


### Return value:   

*(```CondorcetPHP\Condorcet\Election```)* The election object


---------------------------------------

### Related method(s)      

* [Tools\CondorcetElectionFormat::setDataToAnElection](../Tools\CondorcetElectionFormat%20Class/public%20Tools\CondorcetElectionFormat--setDataToAnElection.md)    
* [Tools\DebianFormat::setDataToAnElection](../Tools\DebianFormat%20Class/public%20Tools\DebianFormat--setDataToAnElection.md)    
